declare
  l_blob blob;
begin
  plpdf.Init;
  plpdf.NewPage();
  plpdf.SetPrintFont(
    p_family => 'Arial',
    p_style  => null,
    p_size   => 12
    );
    
  plpdf_barcode.qrcode(
    p_x      => 20,
    p_y      => 30,
    p_text   => 'QR code test',
    p_level  => 'L'
    );
 
  plpdf.SendDoc(
    p_blob => l_blob
    );
  insert into STORE_BLOB (blob_file, created_date, filename) VALUES (l_blob,sysdate, 'QR_code');
  commit;
end;